/*Data file for two dolphins leaping over the water in the moonlight. Render at 800X600 with +a0.1 for good results. Robert A. Mickelsen*/

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "dolphin.inc"

camera {
  location  <2 8 -9>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <2 0 2>
}

object {
  light_source { 
    <-6 7.5 10> 
    color Gray  
    spotlight
    point_at <0 1.75 1>
    tightness 80
    radius 10 
    falloff 18
  }
}

object {
  light_source {
    <0 5.06 23>
    color Gray
    spotlight
    point_at <6 -5 12>
    tightness 80 
    radius 10
    falloff 18
  }
}

composite {
  Dolphin
  rotate <0 0 -15>
  rotate <0 -150 0>  //front view
  //rotate <-35 0 0>  //bottom view
  translate <0 1.75 1>
}

composite {
  Dolphin
  rotate <0 0 -25>
  rotate <0 -150 0>
  translate <6 -5 12>
}

object {
  sphere {<0 0 0> 1000}
  texture {
    image_map {gif "starfld1.gif" map_type 0 interpolate 2}
    translate <-0.5 -0.65 0>
    scale <700 700 700>
  }
}

object { 
  union {
    sphere {<-80 -115 250> 15
      texture {
        color White alpha .35
        ambient 1.0
        diffuse 0.0
      }
    }
    light_source {<-80 -115 250> color White}
    light_source {<-80 -115 275> color White}
  }
}

object {
  plane {<0 1 0> -.25 rotate <30 0 0>}
  texture {
    color SeaGreen
    ripples .35
    frequency 100
    turbulence .5
    ambient .1
    diffuse .1
    reflection .7
    specular .5
    scale <40 40 40>
    roughness .03
  }
}