/*Data file for two dolphins leaping at sunrise. Render at 800X600 +a0.1 for good results. Robert A. Mickelsen*/

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "dolphin.inc"

camera {
  location  <2 8 -9>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <2 0 2>
}

object { //spotlight to highlight dolphin #1
  light_source {
    <-4 15 5> 
    color Pink
    spotlight
    point_at <0 1.75 1>
    tightness 80
    radius 10
    falloff 18
  }
}

object {  //spotlight to highlight dolphin #2
  light_source {
    <6 15 17>
    color Pink
    point_at <6 -5 12>
    tightness 80
    radius 10
    falloff 18
  }
}

composite { //Dolphin #1
  Dolphin
  rotate <0 0 -15>
  rotate <0 -150 0>  //front view
  //rotate <-35 0 0>  //bottom view
  translate <0 1.75 1>
}

composite {  //Dolphin #2
  Dolphin
  rotate <0 0 -25>
  rotate <0 -150 0>
  translate <6 -5 12>
}

object { //sky sphere (sunrise)
  sphere {<0 0 0> 1000}
    texture {
    wood //works better than gradient
    color_map {
      [0.0 0.4 color Orange color Pink]
      [0.4 0.6 color Pink color Violet alpha 0.5]
      [0.6 0.8 color Violet alpha 0.5 color MidnightBlue alpha 1.0]
      [0.8 1.0 color MidnightBlue alpha 1.0 color White alpha 1.0]
    }
    scale <3500 1000 3500>
    rotate <30 0 0>
    ambient 1.0
    diffuse 0.0
  }
}


object {  //ocean
  plane {<0 1 0> -.25 rotate <30 0 0>}
  texture {
    color SeaGreen
    ripples .35
    frequency 100
    turbulence .5
    ambient .1
    diffuse .1
    reflection .7
    specular .5
    scale <40 40 40>
    roughness .03
  }
}

